openSUSE Security Update : libxml2 (libxml2-1175)

Medium Nessus Plugin ID 40573


The remote openSUSE host is missing a security update.


This update of libxml2 does not use pointers after they were freed anymore. (CVE-2009-2416) Additionally a stack-based buffer overflow was fixed while parsing the root XML document. (CVE-2009-2414)


Update the affected libxml2 packages.

See Also

Plugin Details

Severity: Medium

ID: 40573

File Name: suse_11_0_libxml2-090807.nasl

Version: $Revision: 1.12 $

Type: local

Agent: unix

Published: 2009/08/12

Modified: 2016/12/21

Dependencies: 12634

Risk Information

Risk Factor: Medium


Base Score: 4.3

Vector: CVSS2#AV:N/AC:M/Au:N/C:N/I:N/A:P

Vulnerability Information

CPE: p-cpe:/a:novell:opensuse:libxml2, p-cpe:/a:novell:opensuse:libxml2-32bit, p-cpe:/a:novell:opensuse:libxml2-devel, p-cpe:/a:novell:opensuse:libxml2-devel-32bit, cpe:/o:novell:opensuse:11.0

Required KB Items: Host/local_checks_enabled, Host/SuSE/release, Host/SuSE/rpm-list, Host/cpu

Patch Publication Date: 2009/08/07

Reference Information

CVE: CVE-2009-2414, CVE-2009-2416

CWE: 119, 399